---
title: Get Postal Code Rates
slug: api-documentation/get-postal-code-rates
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "eJ7kl1urD8LGcN_-2NdBX",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/by-postal-code-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/by-postal-code-rate"
      }
    ],
    "name": "Get Postal Code Rates",
    "description": "<p>This endpoint is used to Get Postal Code Rates.</p>\n<p>Authorized permissions:\n- <code>dmc-shipping-calc.read</code>\nAuthorized roles:\n- service.operator\n- operator.default</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "deliveryPostalCode",
          "type": "string",
          "description": ""
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "ByPostalCodeOverrideRate[]",
            "schema": [
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "postalCode",
                "kind": "required",
                "type": "string",
                "description": "",
                "minLength": 1
              },
              {
                "name": "weightFactor",
                "kind": "required",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "basicRate",
                "kind": "optional",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "premiumRate",
                "kind": "required",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "lowerThresholdBound",
                "kind": "optional",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "upperThresholdBound",
                "kind": "optional",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "basicFreeLowerThresholdBound",
                "kind": "optional",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "lowerPriceBound",
                "kind": "optional",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "upperPriceBound",
                "kind": "optional",
                "type": "number<double>",
                "description": "",
                "format": "double"
              },
              {
                "name": "percentageOfSubtotal",
                "kind": "optional",
                "type": "number<double>",
                "description": "",
                "format": "double"
              }
            ],
            "modelRef": "#/components/schemas/ByPostalCodeOverrideRate",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal server error",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "jCRyQQrfmEPQUVE7RaFWQ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/by-postal-code-rate \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "5QsH6LLagZ8mtikbA0MND",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/by-postal-code-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "yUnWgE40lLyLAPPGtdZmz",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/by-postal-code-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "XRVuh43x52BK-QsEjAAFa",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/by-postal-code-rate\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "jCRyQQrfmEPQUVE7RaFWQ"
    },
    "results": {
      "languages": [
        {
          "id": "GvkCTshMo9UwTpWTmfIJ0",
          "language": "200",
          "code": "// Successful response\n[\n  {\n    \"siteIds\": [\n      \"\"\n    ],\n    \"postalCode\": \"\",\n    \"weightFactor\": \"\",\n    \"basicRate\": \"\",\n    \"premiumRate\": \"\",\n    \"lowerThresholdBound\": \"\",\n    \"upperThresholdBound\": \"\",\n    \"basicFreeLowerThresholdBound\": \"\",\n    \"lowerPriceBound\": \"\",\n    \"upperPriceBound\": \"\",\n    \"percentageOfSubtotal\": \"\"\n  }\n]"
        },
        {
          "id": "q6pwzIGC-ETwCbQAuMFH4",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "xHWUYU_NqVyWRIi3cDaEr",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "gg0YqmEKqG30up3VpQXRf",
          "language": "404",
          "code": "// Not Found\n"
        },
        {
          "id": "XlNfiRC6ttwpYM7W_h16H",
          "language": "500",
          "code": "// Internal server error\n"
        }
      ],
      "selectedLanguageId": "GvkCTshMo9UwTpWTmfIJ0"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}